/************************************************************************
*
* Device     : RX/RX200/RX210
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 1.00  (2010-12-17)  [Hardware Manual Revision : 0.10]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2010 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
#include "R_PG_DTC_RX210.h"
extern void HardwareSetup(void);

/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Set up Hardware
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable;
    R_PG_Clock_Set();                   /* Setting Clock */
    R_PG_IO_PORT_Set_PH();              /* Setting PH2 */
    R_PG_IO_PORT_Write_PH2(0);          /* Turn off D3 */
    R_PG_DTC_Set();                     /* DTC Setup */
    R_PG_DTC_Set_RXI0();                /* DTC Transfer Setup(RXI0) */
    R_PG_DTC_Set_TXI0();                /* DTC Transfer Setup(TXI0) */  
    R_PG_DTC_Set_RXI5();                /* DTC Transfer Setup(RXI5) */
    R_PG_DTC_Set_TXI5();                /* DTC Transfer Setup(TXI5) */
    R_PG_SCI_Set_C0();                  /* Setting SCI0 */
    R_PG_SCI_Set_C5();                  /* Setting SCI5 */
    R_PG_DTC_Activate();                /* Transfer start trigger input wait state */
}
